// $Id: IXmlSource.h,v 1.2 2003/04/08 13:54:16 ta_muto Exp $
// The base class which specifies the XML source.

#ifndef __wax_IXmlSource_h
#define __wax_IXmlSource_h

#include <common.h>

namespace wax {
	class IXmlSource {
	public:
		virtual ~IXmlSource();
		
		virtual xmlDocPtr getXmlDocument() = 0;
		virtual bool retrieve() = 0;
	} ;
}

#endif
